メインコンテンツへスキップ
GET
/
api
/
publicapi
/
v1
/
transactions
/
completed
指定した Parameter に一致する完了したトランザクションを返します
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/completed \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "createTimeUtc": "2023-11-07T05:31:56Z",
      "documentCount": 123,
      "fileParameters": [
        {
          "isReadOnly": true,
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "pageCount": 123,
      "skillId": "<string>",
      "skillVersion": 123,
      "status": "<string>",
      "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transactionParameters": [
        {
          "isReadOnly": true,
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "totalItemCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

TransactionStatus
string

アクティブなトランザクションの状態

SkillId
string

権限に応じて利用可能な Skill の ID。この field を空にすると、利用可能なすべての Skill がフィルターとして使用されます。 権限に基づき利用可能な Skill の ID。 この field を空にした場合は、利用可能なすべての Skill がフィルターとして使用されます。

SkillVersion
string

バージョンでフィルタリングできるのは、利用可能な Skill のみです バージョンでフィルタリングできるのは、利用可能な Skill のみです。

StartDate
string<date-time>

トランザクションの最小作成日時。 時刻は UTC 形式で指定する必要があります。 トランザクションの最小作成日時。 日時は UTC 形式で指定する必要があります。

EndDate
string

トランザクションの作成時刻の最大値です。 時刻は UTC 形式で指定する必要があります。 指定されていない場合は、現在の UTC 時刻が使用されます。 トランザクションの作成時刻の最大値。 時刻は UTC 形式で指定する必要があります。 指定されていない場合、現在の UTC 時刻が使用されます。

TransactionParameters
object[]

トランザクションの Parameter 一覧。 取得されたトランザクションには、すべての Parameter が含まれている必要があります。 トランザクションのParameter一覧。 取得されたトランザクションには、すべてのParameterが含まれている必要があります

DocumentParameters
object[]

Document の Parameter 一覧。 取得されたトランザクションには、すべての Parameter が含まれている必要があります。 ドキュメント Parameter の一覧。 取得したトランザクションには、すべての Parameter が含まれている必要があります

Offset
integer<int32>

ページネーションオフセット(既定値: 0) ページングオフセット(デフォルト値: 0)

Limit
integer<int32>

ページネーション制限 ページネーション上限

レスポンス

トランザクションおよびその文書の登録パラメーターを含むトランザクション

Swagger でのみ使用されます。

items
object[] | null
totalItemCount
integer<int32>